
openerp.eiru_bill_ticket = function (instance) {
	var module   = instance.point_of_sale;
    var _t = instance.web._t,
        _lt = instance.web._lt;
    var QWeb = instance.web.qweb;

    module.BillTicketScreenWidget = module.ScreenWidget.extend({
        template: 'BillTicketScreenWidget',

        show_numpad:     false,
        show_leftpane:   false,

        show: function(){
            this._super();
            var self = this;
            var back_button  = this.add_action_button({
                label: _t('Back'),
                icon: '/point_of_sale/static/src/img/icons/png48/go-previous.png',
                click: function(){  
                    self.back();
                },
            });
            this.refresh();
        },

        print: function() {
            this.pos.get('selectedOrder')._printed = true;
            window.print();
        },
        back: function(){
            var previous = this.pos.get('selectedOrder').get_screen_data('previous-screen');
            if(previous){
                this.pos_widget.screen_selector.set_current_screen(previous);
            }
        },
        refresh: function() {
            var order = this.pos.get('selectedOrder');
            $('.pos-receipt-container', this.$el).html(QWeb.render('BillTicket',{
                widget:this,
                order: order,
                orderlines: order.get('orderLines').models,
            }));
        },
    });

    module.PosWidget.include({
        build_widgets: function(){
            var self = this;
            this._super();

            this.bill_ticket_screen = new module.BillTicketScreenWidget(this,{});
            this.bill_ticket_screen.appendTo(this.$('.screens'));
            this.screen_selector.add_screen('BillTicket',this.bill_ticket_screen);

            var bill_ticket_button = $(QWeb.render('BillTicketButton'));

            bill_ticket_button.click(function(){
                if(self.pos.get('selectedOrder').get('orderLines').models.length > 0){
                    self.pos_widget.screen_selector.set_current_screen('BillTicket');
                }
            });

            bill_ticket_button.appendTo(this.$('.control-buttons'));
            this.$('.control-buttons').removeClass('oe_hidden');
        },
    });

};
